/*
 *
 * Perforce/JBuilder Opentool
 * Copyright (C) 2001-2002 David Freels
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.dafreels.opentools.properties;

//Perforce VCS
import com.dafreels.vcs.command.PropertyInterface;

//Perforce/JBuilder
import com.dafreels.opentools.properties.PerforceGroup;

//JBuilder
import com.borland.primetime.ide.Browser;

/**
 *
 * @author  David Freels
 * @version 1.0
 */
public final class JBuilderProperties implements PropertyInterface
{
  /** Creates new JBuilderProperties */
  public JBuilderProperties()
  {
  }

  public String getPort()
  {
	return PerforceGroup.PORT.getValue(Browser.getActiveBrowser().getActiveProject());
  }

  public int getDebugLevel()
  {
	String tmp = PerforceGroup.DEBUGLEVEL.getValue(Browser.getActiveBrowser().getActiveProject());
	if(tmp == null) return 0;
	return Integer.parseInt(tmp);
  }

  public String getUserName()
  {
	return PerforceGroup.USERNAME.getValue(Browser.getActiveBrowser().getActiveProject());
  }

  public boolean debug()
  {
	String tmp = PerforceGroup.DEBUG.getValue(Browser.getActiveBrowser().getActiveProject());
	return "true".equalsIgnoreCase(tmp);
  }

  public boolean showOutput()
  {
	String tmp = PerforceGroup.SHOWOUTPUT.getValue(Browser.getActiveBrowser().getActiveProject());
	return "true".equalsIgnoreCase(tmp);
  }
  public String getExecutable()
  {
	return PerforceGroup.P4EXECUTABLE.getValue(Browser.getActiveBrowser().getActiveProject());
  }
  /*
  public boolean addToSourceTab()
  {
	String tmp = PerforceGroup.ADDTOSOURCETAB.getValue(Browser.getActiveBrowser().getActiveProject());
	return "true".equalsIgnoreCase(tmp);
  }
  */
  public String getPassword()
  {
	//Need implement this feature
	return null;
  }

  public String getClientSpec()
  {
	return PerforceGroup.CLIENTSPEC.getValue(Browser.getActiveBrowser().getActiveProject());
  }

}
