/*
 *
 * Perforce/JBuilder Opentool
 * Copyright (C) 2001 David Freels
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation;
 * version 2.1 of the License.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

package com.dafreels.opentools.properties;

import com.borland.primetime.help.HelpTopic;
import com.borland.primetime.*;
import com.borland.primetime.actions.*;
import com.borland.primetime.node.*;
import com.borland.jbuilder.*;
import com.borland.primetime.ide.*;
import com.borland.primetime.properties.*;

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2001
 * Company:      DF Systems
 * @author David Freels
 * @version 1.0
 */

public class PerforceGroup implements PropertyGroup
{
  public static ProjectAutoProperty P4EXECUTABLE = new ProjectAutoProperty("Perforce", "P4EXECUTABLE");
  public static ProjectAutoProperty CLIENTSPEC = new ProjectAutoProperty("Perforce", "CLIENTSPEC");
  public static ProjectAutoProperty PORT = new ProjectAutoProperty("Perforce", "PORT");
  public static ProjectAutoProperty USERNAME = new ProjectAutoProperty("Perforce", "USERNAME");
  public static ProjectAutoProperty DEBUG = new ProjectAutoProperty("Perforce", "DEBUG");
  public static ProjectAutoProperty DEBUGLEVEL = new ProjectAutoProperty("Perforce", "DEBUGLEVEL");
  public static ProjectAutoProperty SHOWOUTPUT = new ProjectAutoProperty("Perforce", "SHOWOUTPUT");
  public static ProjectAutoProperty ADDTOSOURCETAB = new ProjectAutoProperty("Perforce", "ADDTOSOURCETAB");

  public PerforceGroup()
  {
  }

  public void initializeProperties()
  {
	//Read all properties from permanent storage
  }

  public PropertyPageFactory getPageFactory(Object parm1)
  {
	return new PerforcePageFactory();

  }
}